Stop a promotion - Fabric
Stop a promotion
cURL
curl --request POST \
--url https://live.copilot.fabric.inc/api-offers/promo/{promoId}/kill \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/promo/{promoId}/kill"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/promo/{promoId}/kill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
- 200
- 404
- 500
Response Structure
{
"_id": "abcdefg1ee7ce20123456789",
"promoId": 100013,
"promoCodes": [
"SUMMER100",
"SUMMER20"
],
"state": "EXPIRED",
"isImplicit": true,
"title": "CREATE PROMO",
"buyOperator": "OR",
"promo": [
{
"discount": [
{
"unit": "%OFF",
"value": 10,
"ON": {
"kind": "SKU",
"value": "*",
"quantity": 2,
"includeOperator": "OR",
"excludeOperator": "AND"
},
"discountId": 1,
"autoAdd": false,
"set": []
}
],
"targetProducts": [
{
"kind": "SKU",
"value": "*",
"operator": "IN",
"discountId": 1
}
],
"condition": [
"620d84a715f2d00001234567"
]
}
],
"startDate": "2021-10-18T23:45:40.289Z",
"endDate": "2021-10-18T23:45:40.289Z",
"isExclusive": true,
"type": "PRODUCT",
"stackingType": "STACKABLE",
"level": 1,
"termsAndConditions": [
{
"title": "Terms Applied",
"description": "Items cannot be exchanged"
}
],
"promotionMessages": [
{
"title": "Buy 1 get 1 free",
"message": "Offer valid at participating stores through September 5, 2023.",
"pages": [
"PDP",
"Cart"
],
"locales": [
"en-CA",
"fr-CA"
]
}
],
"proximityMessages": [
{
"threshold": 1,
"localizedMessages": [
{
"locales": [
"<string>"
],
"message": "<string>"
}
]
}
],
"shipmentMethodIds": [
1000001
],
"eligiblePriceList": [
10000056
],
"limits": [
{
"kind": "ORDER",
"value": 2
}
],
"note": "Independence day sale!",
"createdAt": "2019-08-20T14:15:22Z",
"updatedAt": "2019-08-20T14:15:22Z"
}
Error Responses
{
"code": "PROMO_NOT_FOUND",
"message": "The promo code you entered doesn't exist."
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
- x-site-context: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- promoId: ID of the promotion to be stopped.